Re: [R] Stack overflow error while creating package

From: Martin Maechler <maechler_at_stat.math.ethz.ch>
Date: Wed 07 Dec 2005 - 03:37:55 EST

>>>>> "manohar" == manohar <kgmanohar@yahoo.com> >>>>> on Tue, 6 Dec 2005 06:39:27 -0800 (PST) writes:

    manohar> Hi all,
    manohar> I am trying to build a package in R (ver 2.1.0, on a
    manohar> PC). 

which I interpret that you are running Windows, right?

    manohar> I am able to run package.skeleton successfully
    manohar> and populate the different environments. 
    manohar> However, when I attempt to invoke the build (R CMD
    manohar> BUILD), i get an error which says something like 
    manohar> protect(): Stack Overflow

The NEWS for the current 'R 2.2.1 beta'
(-> http://stat.ethz.ch/R-manual/R-patched/NEWS ) has had a very prominent entry at the beginning (for many weeks now),

>> USER-VISIBLE CHANGES
>>
>> o options("expressions") has been reduced to 1000: the limit
>> of 5000 introduced in 2.1.0 was liable to give crashes from C
>> stack overflow.

(and actually, the crashes seemed to happen particurlary often  on Windows)

    manohar> I would appreciate if anyone could suggest a way to
    manohar> get around this error message and help me build the
    manohar> package.

You can download the pretty new precompiled R-patched (as of today "R beta") versions for windows from your nearest CRAN mirror, newest via "Precompiled" -> "Windows" -> "base" and "r-patched snapshot build"

Regards,
Martin Maechler, ETH Zurich



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Wed Dec 07 04:31:00 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:41:29 EST